gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[gnunet] branch master updated: TRANSPORT: Move defunct tests to experim


From: gnunet
Subject: [gnunet] branch master updated: TRANSPORT: Move defunct tests to experimental
Date: Sat, 02 Mar 2024 10:01:04 +0100

This is an automated email from the git hooks/post-receive script.

martin-schanzenbach pushed a commit to branch master
in repository gnunet.

The following commit(s) were added to refs/heads/master by this push:
     new 571599776 TRANSPORT: Move defunct tests to experimental
571599776 is described below

commit 571599776bfd4b416e9e09217195c0fc5a41e86e
Author: Martin Schanzenbach <schanzen@gnunet.org>
AuthorDate: Sat Mar 2 10:01:00 2024 +0100

    TRANSPORT: Move defunct tests to experimental
---
 contrib/gana                                       |  2 +-
 contrib/handbook                                   |  2 +-
 po/POTFILES.in                                     |  1 +
 src/service/transport/Makefile.am                  | 15 +++++----------
 .../transport/test_transport_start_testcase.sh     | 22 +++++++++++-----------
 5 files changed, 19 insertions(+), 23 deletions(-)

diff --git a/contrib/gana b/contrib/gana
index 72be9c845..2b581279a 160000
--- a/contrib/gana
+++ b/contrib/gana
@@ -1 +1 @@
-Subproject commit 72be9c8454abc39eb35e1019545ceda8ece7a6db
+Subproject commit 2b581279ae67a1068b07a8c010ac1ab7b85e18df
diff --git a/contrib/handbook b/contrib/handbook
index 5dde35573..f9368db2b 160000
--- a/contrib/handbook
+++ b/contrib/handbook
@@ -1 +1 @@
-Subproject commit 5dde35573cfc8e22bbf2810fb5bacc22726ac74c
+Subproject commit f9368db2bf8ce9eb6a9e951891142309c9c898d4
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 685d992d1..7eb136496 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -159,6 +159,7 @@ src/lib/util/crypto_ecc_dlog.c
 src/lib/util/crypto_ecc_gnsrecord.c
 src/lib/util/crypto_ecc_setup.c
 src/lib/util/crypto_edx25519.c
+src/lib/util/crypto_elligator.c
 src/lib/util/crypto_hash.c
 src/lib/util/crypto_hash_file.c
 src/lib/util/crypto_hkdf.c
diff --git a/src/service/transport/Makefile.am 
b/src/service/transport/Makefile.am
index e15a9b029..03c726dc5 100644
--- a/src/service/transport/Makefile.am
+++ b/src/service/transport/Makefile.am
@@ -293,15 +293,16 @@ 
libgnunet_test_transport_plugin_cmd_simple_send_dv_la_LDFLAGS = \
   $(GN_PLUGIN_LDFLAGS)
 
 check_PROGRAMS = \
- test_communicator_basic-unix \
  test_communicator_basic-tcp \
  test_communicator_basic-udp \
- test_communicator_basic-quic \
  test_communicator_rekey-tcp \
  test_communicator_rekey-udp \
  test_communicator_backchannel-udp \
  test_communicator_bidirect-tcp
 
+if HAVE_EXPERIMENTAL
+check_PROGRAMS += test_communicator_basic-quic \
+ test_communicator_basic-unix
 check_SCRIPTS= \
   test_transport_start_testcase.sh \
   test_transport_simple_send_performance.sh \
@@ -313,19 +314,13 @@ check_SCRIPTS= \
   test_transport_udp_backchannel.sh \
   test_transport_simple_send_dv_circle.sh \
   test_transport_simple_send_dv_inverse.sh
+endif
 
 if ENABLE_TEST_RUN
 AM_TESTS_ENVIRONMENT=export GNUNET_PREFIX=$${GNUNET_PREFIX:-@libdir@};export 
PATH=$${GNUNET_PREFIX:-@prefix@}/bin:$$PATH;unset XDG_DATA_HOME;unset 
XDG_CONFIG_HOME;
 TESTS = \
   $(check_SCRIPTS) \
-  test_communicator_basic-unix \
-  test_communicator_basic-tcp \
-  test_communicator_basic-quic \
-  test_communicator_basic-udp \
-  test_communicator_rekey-tcp \
-  test_communicator_rekey-udp \
-  test_communicator_backchannel-udp \
-  test_communicator_bidirect-tcp
+  $(check_PROGRAMS)
 endif
 
 
diff --git a/src/service/transport/test_transport_start_testcase.sh 
b/src/service/transport/test_transport_start_testcase.sh
index 028c8f248..ad9832fb8 100755
--- a/src/service/transport/test_transport_start_testcase.sh
+++ b/src/service/transport/test_transport_start_testcase.sh
@@ -1,12 +1,12 @@
 #!/bin/bash
-read -p "Test case configuration to use:" conf
-if ! [ -d "/run/netns" ]; then
-    echo You have to create the directory /run/netns.
-fi
-if [ -f /proc/sys/kernel/unprivileged_userns_clone ]; then
-  if  [ "$(cat /proc/sys/kernel/unprivileged_userns_clone)" != 1 ]; then
-    echo -e "Error during test setup: The kernel parameter 
kernel.unprivileged_userns_clone has to be set to 1! One has to execute\n\n 
sysctl kernel.unprivileged_userns_clone=1\n"
-    exit 78
-  fi
-fi
-exec unshare -r -nmU bash -c "mount -t tmpfs --make-rshared tmpfs /run/netns; 
./test_transport_start_with_config $conf"
+#read -p "Test case configuration to use:" conf
+#if ! [ -d "/run/netns" ]; then
+#    echo You have to create the directory /run/netns.
+#fi
+#if [ -f /proc/sys/kernel/unprivileged_userns_clone ]; then
+#  if  [ "$(cat /proc/sys/kernel/unprivileged_userns_clone)" != 1 ]; then
+#    echo -e "Error during test setup: The kernel parameter 
kernel.unprivileged_userns_clone has to be set to 1! One has to execute\n\n 
sysctl kernel.unprivileged_userns_clone=1\n"
+#    exit 78
+#  fi
+#fi
+#exec unshare -r -nmU bash -c "mount -t tmpfs --make-rshared tmpfs /run/netns; 
./test_transport_start_with_config $conf"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]